package com.ruoyi.bst.verify.service.impl;

import org.springframework.stereotype.Service;

import com.ruoyi.bst.task.domain.dto.TaskVerifyDTO;
import com.ruoyi.bst.verify.domain.Verify;
import com.ruoyi.bst.verify.domain.enums.VerifyBstType;
import com.ruoyi.bst.verify.domain.enums.VerifyStatus;
import com.ruoyi.bst.verify.service.VerifyConverter;
import com.ruoyi.common.utils.SecurityUtils;

@Service
public class VerifyConverterImpl implements VerifyConverter {

    @Override
    public Verify toPo(TaskVerifyDTO dto) {
        if (dto == null) {
            return null;
        }
        Verify verify = new Verify();
        verify.setBstType(VerifyBstType.TASK.getType());
        verify.setBstId(dto.getId());
        verify.setStatus(dto.getPass() != null && dto.getPass() ? VerifyStatus.PASS.getStatus() : VerifyStatus.REJECT.getStatus());
        verify.setRemark(dto.getRemark());
        verify.setUserId(SecurityUtils.getUserId());
        return verify;
    }
    
}
